package kz.cafe.admin.constants;

import java.util.*;

public class AccessConstants{
   public enum EditMode {ADD, CHANGE, DELETE};
   
   public static Set<EditMode> full(){
      Set<EditMode> set = new HashSet<EditMode>();
      
      set.add(EditMode.ADD);
      set.add(EditMode.CHANGE);
      set.add(EditMode.DELETE);
      
      return set;
   }
   
   
   
   public static Set<EditMode> none(){
      return Collections.emptySet();
   }
}
